package com.fjhx.sale.service.documents;

import com.fjhx.sale.entity.documents.po.DocumentsPdf;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.documents.vo.DocumentsPdfVo;
import com.fjhx.sale.entity.documents.dto.DocumentsPdfSelectDto;
import com.fjhx.sale.entity.documents.dto.DocumentsPdfDto;


/**
 * <p>
 * 单证PDF数据存放表 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-26
 */
public interface DocumentsPdfService extends BaseService<DocumentsPdf> {

    /**
     * 单证PDF数据存放表分页
     */
    Page<DocumentsPdfVo> getPage(DocumentsPdfSelectDto dto);

    /**
     * 单证PDF数据存放表明细
     */
    DocumentsPdfVo detail(Long id);

    /**
     * 单证PDF数据存放表新增
     */
    void add(DocumentsPdfDto documentsPdfDto);

    /**
     * 单证PDF数据存放表编辑
     */
    void edit(DocumentsPdfDto documentsPdfDto);

    /**
     * 单证PDF数据存放表删除
     */
    void delete(Long id);

}
